## ros-indigo-soem 1.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6.4)

project(soem)

find_package(catkin QUIET)
if(catkin_FOUND)
  catkin_package( INCLUDE_DIRS soem osal oshw/linux
                  LIBRARIES soem
                  )
endif()

include_directories(${CMAKE_CURRENT_SOURCE_DIR} 
                    ${CMAKE_CURRENT_SOURCE_DIR}/osal
                    ${CMAKE_CURRENT_SOURCE_DIR}/oshw/linux
                    ${CMAKE_CURRENT_SOURCE_DIR}/soem )

add_definitions(-DEC_VER1)
add_subdirectory(osal)
add_subdirectory(oshw)
add_subdirectory(soem)
add_subdirectory(test)

install(FILES package.xml DESTINATION share/soem)

# Add all targets to the build-tree export set
export(TARGETS soem osal oshw simple_test red_test slaveinfo eepromtool ebox firm_update FILE "${PROJECT_BINARY_DIR}/SoemTargets.cmake")
 
# Export the package for use from the build-tree
# (this registers the build-tree with a global CMake-registry)
export(PACKAGE soem)
 

configure_file(soem-config.cmake.in ${PROJECT_BINARY_DIR}/soem-config.cmake @ONLY)
configure_file(soem-config-version.cmake.in ${PROJECT_BINARY_DIR}/soem-config-version.cmake @ONLY)
 
install(FILES ${PROJECT_BINARY_DIR}/soem-config.cmake ${PROJECT_BINARY_DIR}/soem-config-version.cmake
  DESTINATION share/soem)
 
# Install the export set for use with the install-tree
install(EXPORT SoemTargets DESTINATION share/soem)

=== osal/CMakeLists.txt ===
#common commands for building c++ executables and libraries

add_library(osal SHARED linux/osal.c)
target_link_libraries(osal rt)

install(TARGETS osal
  EXPORT SoemTargets
  RUNTIME DESTINATION bin
  LIBRARY DESTINATION lib )

install(FILES osal.h
        DESTINATION include/soem )

=== oshw/Makefile ===
#******************************************************************************
#                *          ***                    ***
#              ***          ***                    ***
# ***  ****  **********     ***        *****       ***  ****          *****
# *********  **********     ***      *********     ************     *********
# ****         ***          ***              ***   ***       ****   ***
# ***          ***  ******  ***      ***********   ***        ****   *****
# ***          ***  ******  ***    *************   ***        ****      *****
# ***          ****         ****   ***       ***   ***       ****          ***
# ***           *******      ***** **************  *************    *********
# ***             *****        ***   *******   **  **  ******         *****
#                           t h e  r e a l t i m e  t a r g e t  e x p e r t s
#
# http://www.rt-labs.com
# Copyright (C) 2006. rt-labs AB, Sweden. All rights reserved.
#------------------------------------------------------------------------------
# $Id: Makefile 175 2012-06-21 07:14:12Z rtlaka $
#------------------------------------------------------------------------------

SUBDIRS = $(BSP)
include $(PRJ_ROOT)/make/subdir.mk

=== soem/CMakeLists.txt ===
#common commands for building c++ executables and libraries
find_path(RTNET_INCLUDE_DIR NAMES rtnet.h PATH_SUFFIXES rtnet/include)
option(ENABLE_RTNET "Enable RTnet over Xenomai." ON)
if(RTNET_INCLUDE_DIR AND ENABLE_RTNET)
  message("Found RTNET: ${RTNET_INCLUDE_DIR}")
  include_directories(${RTNET_INCLUDE_DIR})
  add_definitions(-DHAVE_RTNET)
  # try Xenomai
  execute_process(COMMAND xeno-config --skin=posix --cflags OUTPUT_VARIABLE XENO_CFLAGS OUTPUT_STRIP_TRAILING_WHITESPACE)
  execute_process(COMMAND xeno-config --skin=posix --ldflags OUTPUT_VARIABLE XENO_LDFLAGS OUTPUT_STRIP_TRAILING_WHITESPACE)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${XENO_CFLAGS}")
  set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} ${XENO_LDFLAGS}")
  set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} ${XENO_LDFLAGS} -lnative")
endif()

add_library(soem SHARED ethercatbase.c ethercatcoe.c ethercatconfig.c ethercatfoe.c
                        ethercatsoe.c ethercatmain.c ethercatprint.c ethercatdc.c   )
 
target_link_libraries(soem osal oshw)

install(TARGETS soem
  EXPORT SoemTargets
  LIBRARY DESTINATION lib )

install(FILES ethercatbase.h ethercatcoe.h ethercatconfig.h 
  ethercatconfiglist.h ethercatdc.h ethercatfoe.h 
  ethercatmain.h ethercatprint.h ethercatsoe.h 
  ethercattype.h
  DESTINATION include/soem )

=== soem/Makefile ===
#******************************************************************************
#                *          ***                    ***
#              ***          ***                    ***
# ***  ****  **********     ***        *****       ***  ****          *****
# *********  **********     ***      *********     ************     *********
# ****         ***          ***              ***   ***       ****   ***
# ***          ***  ******  ***      ***********   ***        ****   *****
# ***          ***  ******  ***    *************   ***        ****      *****
# ***          ****         ****   ***       ***   ***       ****          ***
# ***           *******      ***** **************  *************    *********
# ***             *****        ***   *******   **  **  ******         *****
#                           t h e  r e a l t i m e  t a r g e t  e x p e r t s
#
# http://www.rt-labs.com
# Copyright (C) 2009. rt-labs AB, Sweden. All rights reserved.
#------------------------------------------------------------------------------
# $Id: Makefile 126 2012-04-01 17:40:22Z rtlaka $
#------------------------------------------------------------------------------

LIBNAME = soem
include $(PRJ_ROOT)/make/lib.mk

=== test/CMakeLists.txt ===

add_executable(simple_test linux/simple_test/simple_test.c)
target_link_libraries(simple_test soem m c pthread)

add_executable(red_test linux/red_test/red_test.c)
target_link_libraries(red_test soem m c pthread)

add_executable(slaveinfo linux/slaveinfo/slaveinfo.c)
target_link_libraries(slaveinfo soem m c pthread)

add_executable(eepromtool linux/eepromtool/eepromtool.c)
target_link_libraries(eepromtool soem m c pthread)

add_executable(ebox linux/ebox/ebox.c)
target_link_libraries(ebox soem m c pthread)

add_executable(firm_update linux/firm_update/firm_update.c)
target_link_libraries(firm_update soem m c pthread)

install(TARGETS simple_test red_test slaveinfo eepromtool ebox firm_update
  EXPORT SoemTargets
  RUNTIME DESTINATION bin
  LIBRARY DESTINATION lib )

=== osal/linux/Makefile ===
#******************************************************************************
#                *          ***                    ***
#              ***          ***                    ***
# ***  ****  **********     ***        *****       ***  ****          *****
# *********  **********     ***      *********     ************     *********
# ****         ***          ***              ***   ***       ****   ***
# ***          ***  ******  ***      ***********   ***        ****   *****
# ***          ***  ******  ***    *************   ***        ****      *****
# ***          ****         ****   ***       ***   ***       ****          ***
# ***           *******      ***** **************  *************    *********
# ***             *****        ***   *******   **  **  ******         *****
#                           t h e  r e a l t i m e  t a r g e t  e x p e r t s
#
# http://www.rt-labs.com
# Copyright (C) 2009. rt-labs AB, Sweden. All rights reserved.
#------------------------------------------------------------------------------
# $Id: Makefile 125 2012-04-01 17:36:17Z rtlaka $
#------------------------------------------------------------------------------

LIBNAME = osal
include $(PRJ_ROOT)/make/lib.mk

=== osal/win32/Makefile ===
#******************************************************************************
#                *          ***                    ***
#              ***          ***                    ***
# ***  ****  **********     ***        *****       ***  ****          *****
# *********  **********     ***      *********     ************     *********
# ****         ***          ***              ***   ***       ****   ***
# ***          ***  ******  ***      ***********   ***        ****   *****
# ***          ***  ******  ***    *************   ***        ****      *****
# ***          ****         ****   ***       ***   ***       ****          ***
# ***           *******      ***** **************  *************    *********
# ***             *****        ***   *******   **  **  ******         *****
#                           t h e  r e a l t i m e  t a r g e t  e x p e r t s
#
# http://www.rt-labs.com
# Copyright (C) 2009. rt-labs AB, Sweden. All rights reserved.
#------------------------------------------------------------------------------
# $Id: Makefile 262 2012-08-14 06:14:07Z rtlaka $
#------------------------------------------------------------------------------

LIBNAME = osal
include $(PRJ_ROOT)/make/lib.mk

=== oshw/win32/Makefile ===
#******************************************************************************
#                *          ***                    ***
#              ***          ***                    ***
# ***  ****  **********     ***        *****       ***  ****          *****
# *********  **********     ***      *********     ************     *********
# ****         ***          ***              ***   ***       ****   ***
# ***          ***  ******  ***      ***********   ***        ****   *****
# ***          ***  ******  ***    *************   ***        ****      *****
# ***          ****         ****   ***       ***   ***       ****          ***
# ***           *******      ***** **************  *************    *********
# ***             *****        ***   *******   **  **  ******         *****
#                           t h e  r e a l t i m e  t a r g e t  e x p e r t s
#
# http://www.rt-labs.com
# Copyright (C) 2009. rt-labs AB, Sweden. All rights reserved.
#------------------------------------------------------------------------------
# $Id: Makefile 262 2012-08-14 06:14:07Z rtlaka $
#------------------------------------------------------------------------------

LIBNAME = oshw
include $(PRJ_ROOT)/make/lib.mk

=== test/linux/Makefile ===
#******************************************************************************
#                *          ***                    ***
#              ***          ***                    ***
# ***  ****  **********     ***        *****       ***  ****          *****
# *********  **********     ***      *********     ************     *********
# ****         ***          ***              ***   ***       ****   ***
# ***          ***  ******  ***      ***********   ***        ****   *****
# ***          ***  ******  ***    *************   ***        ****      *****
# ***          ****         ****   ***       ***   ***       ****          ***
# ***           *******      ***** **************  *************    *********
# ***             *****        ***   *******   **  **  ******         *****
#                           t h e  r e a l t i m e  t a r g e t  e x p e r t s
#
# http://www.rt-labs.com
# Copyright (C) 2006. rt-labs AB, Sweden. All rights reserved.
#------------------------------------------------------------------------------
# $Id: Makefile 178 2012-06-21 11:51:19Z rtlaka $
#------------------------------------------------------------------------------

SUBDIRS = ebox eepromtool red_test simple_test slaveinfo firm_update

all: subdirs

subdirs:
	@for dir in $(SUBDIRS); do \
	($(MAKE) -C $$dir all) || exit; \
	done

clean:
	@for dir in $(SUBDIRS); do \
	($(MAKE) -C $$dir clean) \
	done

=== test/win32/Makefile ===
#******************************************************************************
#                *          ***                    ***
#              ***          ***                    ***
# ***  ****  **********     ***        *****       ***  ****          *****
# *********  **********     ***      *********     ************     *********
# ****         ***          ***              ***   ***       ****   ***
# ***          ***  ******  ***      ***********   ***        ****   *****
# ***          ***  ******  ***    *************   ***        ****      *****
# ***          ****         ****   ***       ***   ***       ****          ***
# ***           *******      ***** **************  *************    *********
# ***             *****        ***   *******   **  **  ******         *****
#                           t h e  r e a l t i m e  t a r g e t  e x p e r t s
#
# http://www.rt-labs.com
# Copyright (C) 2006. rt-labs AB, Sweden. All rights reserved.
#------------------------------------------------------------------------------
# $Id: Makefile 262 2012-08-14 06:14:07Z rtlaka $
#------------------------------------------------------------------------------

SUBDIRS = ebox eepromtool red_test simple_test slaveinfo firm_update

all: subdirs

subdirs:
	@for dir in $(SUBDIRS); do \
	($(MAKE) -C $$dir all) || exit; \
	done

clean:
	@for dir in $(SUBDIRS); do \
	($(MAKE) -C $$dir clean) \
	done

=== test/linux/ebox/Makefile ===
#******************************************************************************
#                *          ***                    ***
#              ***          ***                    ***
# ***  ****  **********     ***        *****       ***  ****          *****
# *********  **********     ***      *********     ************     *********
# ****         ***          ***              ***   ***       ****   ***
# ***          ***  ******  ***      ***********   ***        ****   *****
# ***          ***  ******  ***    *************   ***        ****      *****
# ***          ****         ****   ***       ***   ***       ****          ***
# ***           *******      ***** **************  *************    *********
# ***             *****        ***   *******   **  **  ******         *****
#                           t h e  r e a l t i m e  t a r g e t  e x p e r t s
#
# http://www.rt-labs.com
# Copyright (C) 2006. rt-labs AB, Sweden. All rights reserved.
#------------------------------------------------------------------------------
# $Id: Makefile 125 2012-04-01 17:36:17Z rtlaka $
#------------------------------------------------------------------------------

APPNAME = ebox

all: $(APPNAME)

include $(PRJ_ROOT)/make/app.mk

=== debian/changelog ===
ros-indigo-soem (1.3.0-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Ruben Smits <ruben@intermodalics.eu>  Mon, 26 Jan 2015 21:25:33 -0000

=== debian/control ===
Source: ros-indigo-soem
Section: misc
Priority: extra
Maintainer: Ruben Smits <ruben@intermodalics.eu>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://developer.berlios.de/projects/soem
Standards-Version: 3.9.2

Package: ros-indigo-soem
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: SOEM is an open source EtherCAT master library written in c. Its primary target is Linux but can be adapted to other OS and embedded systems. (http://developer.berlios.de/projects/soem/) This package contains the original soem c code provided by the Technische Universiteit Eindhoven.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-soem//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
